mssql_num_fields
mssql_pconnect
Mssql Functions
PHP Manual

# mssql_num_rows

(PHP 4, PHP 5, PECL odbtp >= 1.1.1)

mssql_num_rows — Gets the number of rows in result

### Description

int mssql_num_rows ( resource `$result` )

mssql_num_rows() returns the number of rows in a result set.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

### Return Values

Returns the number of rows, as an integer.

### Examples

Example #1 mssql_num_rows() example

`<?php
// Connect to MSSQL and select the database
$link = mssql_connect('KALLESPC\SQLEXPRESS', 'sa', 'phpfi');
mssql_select_db('php');
// Select all our records from a table
$query = mssql_query('SELECT * FROM [php].[dbo].[persons]');
echo 'Total records in database: ' . mssql_num_rows($query);
// Clean up
mssql_free_result($query);
?>`

### See Also

- mssql_query() - Send MS SQL query
- mssql_fetch_row() - Get row as enumerated array

mssql_num_fields
mssql_pconnect
Mssql Functions
PHP Manual